Home > 零敲碎打 > [iOS]7.1使用OTA部署APP出现Cannot install applications错误

[iOS]7.1使用OTA部署APP出现Cannot install applications错误

iOS升级到7.1之后,之前一直使用正常的OTA部署的网站在安装APP时报出了以下错误

Cannot install applications because the certificate for www.example.com is not valid

而在7.0和之前的版本上没有这类问题,经过调查得知iOS7.1以后强制使用https安全连接方式才能正常部署,OTA部署用plist文件和ipa文件的URI必须以https方式开头,而7.1之前使用http即可,影响范围包括企业内部署使用的Ad-HOC和InHouse方式。

以下是stackoverflow上的几种解决方案,如果一时没有https服务器,使用Dropbox部署也是不错的选择
http://stackoverflow.com/questions/20276907/enterprise-app-deployment-doesnt-work-on-ios-7-1?utm_campaign=ios_wiki_com_issue_4&utm_source=ios_wiki_com&utm_medium=website

补充一下
iOS9.0以后强制开启的Https作为http协议的传输方式,不光是OTA部署甚至是APP内容都禁止使用http。
lidaren.com目前已经全面开启https协议方式支持,如果大家需要的话,我这里可以提供免费的OTA部署服务,数量有限,欢迎在本文留言索取。

Categories: 零敲碎打 Tags:
  1. Jackson
    May 1st, 2014 at 13:25 | #1

    还一直这个网站上面做更新啊?坚持就是胜利,前途无限光明。

  1. No trackbacks yet.